## javax.servlet
Interface WriteListener

All Superinterfaces:
  EventListener

    public interface WriteListener

extends EventListener

Callback notification mechanism that signals to the developer it's possible to write content without blocking.

Since:
  Servlet 3.1

Method Summary
`void` `onError(Throwable t)` Invoked when an error occurs processing the request asynchronously.
`void` `onWritePossible(ServletResponse response)` This callback will be invoked when data can be written without blocking.

Method Detail

### onWritePossible

    void onWritePossible(ServletResponse response)

  This callback will be invoked when data can be written without blocking.

### onError

    void onError(Throwable t)

  Invoked when an error occurs processing the request asynchronously.

Copyright © 2012 GlassFish Community. All Rights Reserved.